#!/bin/sh
#
#  This script simply instantiates default.local from default.tpl if it
#  is missing.
#

for TPL in `find /etc -name '*.tpl'`
do
	[ ! -e "${TPL}" ] && continue
	CFG="${TPL%.tpl}.local"

	if [ ! -e "${CFG}" ]
	then
		echo " * Setting default configuration for $(basename "$(dirname "${CFG}")")"
		cp -d "${TPL}" "${CFG}"
	fi
done
true
